"""Grid JobId Test

Retrieves the job id of the current job.

Author: Thomas Low <thomas.low@cern.ch>
"""

import os
from gcm.common.test import Test

def getTest():
	t = Test("grid_job")
	t.testVersion = "1.0"
	t.pyamqEncrypt = "1"
	
	
	if os.environ.has_key("GLITE_WMS_JOBID"):
		t.jobid = os.environ['GLITE_WMS_JOBID']
	elif os.environ.has_key("EDG_WL_JOBID"):
		t.jobid = os.environ['EDG_WL_JOBID']
	if os.environ.has_key("GLOBUS_GRAM_JOB_CONTACT"):
		t.jobcontact = os.environ['GLOBUS_GRAM_JOB_CONTACT']
		
	data = []
	if not t.has_key('jobid'):
		data.append("GLITE_WMS_JOBID (EDG_WL_JOBID) could not be gathered")
	if not t.has_key('jobid'):
		data.append("GLOBUS_GRAM_JOB_CONTACT could not be gathered")
	if data:
		t.data = "\n".join(data)
			
	return t
